Bug 508375 - LDAP Publishing predicate inoperative at downselecting certificates
LDAP Publishing predicate inoperative at downselecting certificates
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Publishing (Show other bugs)
unspecified
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-06-26 15:32 EDT by T Barrile
Modified: 2015-01-05 20:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (1.79 KB, patch)
2009-06-30 16:41 EDT, Andrew Wnuk
no flags Details | Diff

  None (edit)
Description T Barrile 2009-06-26 15:32:25 EDT
Description of problem:
When issuing multiple certificates using multiple profiles (separate encipherment and signing certificates), setting a publishing predicate "profileId==myEnciphermentProfile" as described in the Admin guide will result in both certificates being published and not just the one issued from the matching profileId

Version-Release number of selected component (if applicable):
CS8.0 Beta 2

How reproducible:


Steps to Reproduce:
1. Establish a TPS with 2 profiles, 1 for encipherment and 1 for email-signing
2. Enable the LDAP publishing plugin, specify a predicate in the rule "profileId==myEnciphermentProfile"
3. Enroll a token through the TPS
  
Actual results:
Both certificates are published to the LDAP destination


Expected results:
Only the certificate with profileId matching the predicate should be published.


Additional info:
Comment 1 Andrew Wnuk 2009-06-30 16:41:52 EDT
Created attachment 350021 [details]
proposed fix
Comment 2 Christina Fu 2009-06-30 16:45:25 EDT
cfu+
Comment 3 Andrew Wnuk 2009-06-30 16:49:24 EDT
svn commit pki/dogtag/common/pki-common.spec                          Sending        pki/dogtag/common/pki-common.spec
Transmitting file data .
Committed revision 661.

svn commit pki/base/common/src/com/netscape/cmscore/ldap/LdapSimpleExpression.java                        
Sending        pki/base/common/src/com/netscape/cmscore/ldap/LdapSimpleExpression.java
Transmitting file data .
Committed revision 662.
Comment 7 Kashyap Chamarthy 2009-07-05 14:49:02 EDT
Verified. with predicate "profileId==caUserCert" and certificate was published

Issued certs with the below two profiles...

(1) "Manual User Dual-Use Certificate Enrollment"(profile ID - caUserCert) - published successfully to "userCertificate;binary" attribute.

(2) "Manual User Signing & Encryption Certificates Enrollment" - not published to any attribute (as we set predicate as  profileId==caUserCert)



===============================================================
[root@rhel5t ~]# /usr/lib/mozldap/ldapsearch -p 389  -D "cn=Directory Manager" -w Secret123 -x -b "uid=tguy1,ou=People,dc=pnq,dc=redhat,dc=com" objectclass=* 
version: 1
dn: uid=tguy1,ou=People, dc=pnq,dc=redhat,dc=com
mail: tguy1@test.com
uid: tguy1
givenName: test
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetorgperson
sn: guy1
cn: test guy1
userPassword: {SSHA}JK9kYSK3CUae4DlhZOCD2/PIiiWSHPTOszL4eg==
userCertificate;binary:: MIIC8zCCAdugAwIBAgIBHzANBgkqhkiG9w0BAQUFADA7MRkwFwYD
 VQQKExBQbnFSZWRoYXQgRG9tYWluMR4wHAYDVQQDExVDZXJ0aWZpY2F0ZSBBdXRob3JpdHkwHhcN
 MDkwNzA1MTgzMjI1WhcNMTAwMTAxMTgzMjI1WjBqMRMwEQYKCZImiZPyLGQBGRYDY29tMRYwFAYK
 CZImiZPyLGQBGRYGcmVkaGF0MRMwEQYKCZImiZPyLGQBGRYDcG5xMQ8wDQYDVQQLEwZQZW9wbGUx
 FTATBgoJkiaJk/IsZAEBEwV0Z3V5MTBcMA0GCSqGSIb3DQEBAQUAA0sAMEgCQQDEiXKTpIk53Qbq
 0N5rit0kgG6r2rknP3zqU28WBoWb9Tq9G32M3SBFMxfQbJlPCjpB/Mk4xuLhnSy9xLOJyxRhAgMB
 AAGjgZowgZcwHwYDVR0jBBgwFoAUr5shgABE0O36evpE6NDFA+xNu6EwRQYIKwYBBQUHAQEEOTA3
 MDUGCCsGAQUFBzABhilodHRwOi8vcmhlbDV0LnBucS5yZWRoYXQuY29tOjkxODAvY2Evb2NzcDAO
 BgNVHQ8BAf8EBAMCBeAwHQYDVR0lBBYwFAYIKwYBBQUHAwIGCCsGAQUFBwMEMA0GCSqGSIb3DQEB
 BQUAA4IBAQCJraB+dwp0bAxQX2PCQeAi2z4Er6supGkp1RhNpgzhvFLvrXu0qgXKLYImHzJ0IwZP
 0V1pq39u0s6QLKNx+ffmIUttFXss9yQYUkkKxmobVqMteWOebw49HcPGyxHyhbi35QydM7pzCSGU
 GHKXhKR0Qa3S/NQ2DELU/UmDRC3HItdL4qGK5YdeLiH9KFo6ozQ+LIlNy8LFCo2tRWDgJtVggOj+
 mEd364nCRp/7hgEUtPdDafjpe1J9xuvw0PoNOjDq8qo6R+Xox8j3Vqew2DjEWiZNsN/HHvVQmKH3
 CLwkViyQ1eZpGcdSzz9S3G5N+0KcTib3EVz1EB49ZEZbQ1mq
===========================================================================

Note You need to log in before you can comment on or make changes to this bug.